#include <cstdlib>
#include <cstring>
#include <iostream>

int main() {
	char *abc = static_cast<char*>(std::malloc(6));
	std::strcpy(abc, "hello");
	char *def = static_cast<char*>(std::realloc(abc, 6));
	std::strcpy(def, "holle");
	std::cout << abc << " " << def << std::endl;
	std::free(def);
	return 0;
}

